IsoSpec::Allocator< T >(3)

NAME
IsoSpec::Allocator< T >

SYNOPSIS

  Public Member Functions

Allocator (const int dim, const int tabSize=10000)
Allocator (const Allocator &other)=delete
Allocator & operator= (const Allocator &other)=delete
void shiftTables ()
T * newConf ()
T * makeCopy (const T *conf)

Detailed Description

  template<typename T>
class IsoSpec::Allocator< T >"

Definition at line 33 of file allocator.h.

Constructor & Destructor Documentation

  template<typename T> IsoSpec::Allocator< T >::Allocator (const int dim, const int tabSize = 10000) [explicit]

Definition at line 24 of file allocator.cpp.

  template<typename T> IsoSpec::Allocator< T >::~Allocator ()

Definition at line 28 of file allocator.cpp.

Member Function Documentation

  template<typename T> T * IsoSpec::Allocator< T >::makeCopy (const T * conf) [inline]

Definition at line 60 of file allocator.h.

  template<typename T> T * IsoSpec::Allocator< T >::newConf () [inline]

Definition at line 50 of file allocator.h.

  template<typename T> void IsoSpec::Allocator< T >::shiftTables ()

Definition at line 42 of file allocator.cpp.

Author

Generated automatically by Doxygen for IsoSpec from the source code.